# $dcc.localFileSize Returns the local file size associated to the specified DCC
Usage
    $dcc.localFileSize(<dcc_id>)
Description
Returns the local file size associated to the specified DCC. If <dcc_id> does not identify a file transfer DCC then this function returns '0' If <dcc_id> is not a valid Direct Client Connection identifier then this function prints a warning and returns '0' In upload transfers the local file size rappresents the total size of the file to be transferred. In download transfers the local file size is non zero only if the transfer has to resume a file already existing on the local disk and it rappresents the size of that file (and thus the offset that the transfer started on).
Syntax Specification
    <integer> $dcc.localFileSize(<dcc_id:uint>)

Index, Functions

KVIrc 4.0.4.4744 Documentation
Generated by kerd at Fri Mar 25 20:00:07 2011